# SceneObjects(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``SceneObjects`(bpy_struct)

  Collection of scene objects

  `active`

    Active object for this scene

    Type: | `Object`

  `link`(object)

    Link object to scene, run scene.update() after

    Parameters: | object (`Object`, (never None)) – Object to add to scene
    Returns: | The newly created base
    Return type: | `ObjectBase`

  `unlink`(object)

    Unlink object from scene

    Parameters: | object (`Object`, (never None)) – Object to remove from scene

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`Scene.objects` |